cgIsState(3)

NAME
cgIsState - determine if a state handle references a valid state

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgIsState( CGstate state );

PARAMETERS

state
    The state handle to check.

RETURN VALUES
Returns CG_TRUE if state references a valid state.

Returns CG_FALSE otherwise.

DESCRIPTION
cgIsState returns CG_TRUE if state references a valid state, CG_FALSE otherwise.

EXAMPLES
to-be-written

ERRORS
None.

HISTORY
cgIsState was introduced in Cg 1.4.

SEE ALSO
the cgCreateState manpage